diff --git a/web/pgadmin/browser/server_groups/servers/databases/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/__init__.py
index 26fd5ccac..0417c4bb7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/__init__.py
@@ -30,6 +30,7 @@ from pgadmin.utils.ajax import make_json_response, \
     make_response as ajax_response, internal_server_error, unauthorized
 from pgadmin.utils.driver import get_driver
 from pgadmin.tools.sqleditor.utils.query_history import QueryHistory
+from pgadmin.model import Server
 
 
 class DatabaseModule(CollectionNodeModule):
@@ -468,7 +469,9 @@ class DatabaseView(PGChildNodeView):
                 info=_("Database connected."),
                 data={
                     'icon': 'pg-icon-database',
-                    'connected': True
+                    'connected': True,
+                    'info_prefix': '{0}/{1}'.
+                    format(Server.query.filter_by(id=sid)[0].name, conn.db)
                 }
             )
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
index ab0df6939..e18c55a85 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
@@ -520,6 +520,10 @@ define('pgadmin.node.database', [
                 tree.addIcon(item, {icon: data.icon});
               }
 
+              if(res.data.info_prefix) {
+                res.info = `${res.data.info_prefix} - ${res.info}`;
+              }
+
               Alertify.success(res.info);
               obj.trigger('connected', obj, item, data);
               pgBrowser.Events.trigger(
